Skip to main content
POST
[Web Hosting] Price a billing cycle change before ordering it

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).

Path Parameters

id
string<uuid>
required

Web hosting unique identifier

organization_id
string<uuid>
required

Organization unique identifier

project_id
string<uuid>
required

Project unique identifier

Body

application/json
billing_cycle
string
required

Cycle to move the service to. Only a longer cycle the plan is priced for is accepted.

Response

Cycle change quote

current_billing_cycle
string
required
available_billing_cycles
string[]
required
billing_cycle
string
required
total_price
string | null
required
Pattern: ^-?\d{0,10}(?:\.\d{0,2})?$
currency
string
required
recurring_price
string | null
required
Pattern: ^-?\d{0,10}(?:\.\d{0,2})?$
recurring_monthly_equivalent
string | null
required
Pattern: ^-?\d{0,10}(?:\.\d{0,2})?$
monthly_reference_price
string | null
required
Pattern: ^-?\d{0,10}(?:\.\d{0,2})?$
monthly_savings_percent
string | null
required
Pattern: ^-?\d{0,3}(?:\.\d{0,2})?$